Bug 105358 - strace does not display all possible ioctl names
Summary: strace does not display all possible ioctl names
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: strace (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-09-25 13:21 UTC by Dmitry V. Levin
Modified: 2007-04-18 16:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-14 22:03:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (3.35 KB, patch)
2003-09-25 13:22 UTC, Dmitry V. Levin
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2003:294 normal SHIPPED_LIVE New strace package fixes numerous bugs 2003-12-19 05:00:00 UTC

Description Dmitry V. Levin 2003-09-25 13:21:41 UTC
Solar Designer fixed the ioctl reporting code to report multiple matches (if that is the case). 
 
Previously, depending on bsearch(3) implementation, strace could favor 
audio ioctls over terminal ones where the numbers conflict (on Linux), 
even though the terminal ioctls are obviously far more common. 
Now it will report them like this: 
 
ioctl(0, TCGETS or SNDCTL_TMR_TIMEBASE, {B9600 opost isig icanon echo ...}) = 0

Comment 1 Dmitry V. Levin 2003-09-25 13:22:31 UTC
Created attachment 94712 [details]
proposed patch

Comment 2 Roland McGrath 2003-11-14 02:51:33 UTC
I've put this patch in.

Comment 3 Dmitry V. Levin 2003-12-14 22:03:01 UTC
Applied in strace-4.5.1 

Comment 4 John Flanagan 2003-12-19 17:57:56 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2003-294.html



Note You need to log in before you can comment on or make changes to this bug.